﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.UltraChart.Resources.Appearance;
using Infragistics.UltraChart.Core.Layers;
using Infragistics.UltraChart.Shared.Styles;
using Infragistics.UltraChart.Core.Primitives;
using System.Diagnostics;
using Infragistics.Win.UltraWinScrollBar;

namespace WindowsFormsApplication5
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            //Settings for Horizontal Scroll
            int minHorizontal = 0;
            int maxHorizontal = this.ultraPanel1.Width - this.pnlOuter.Width;
            int smallChangeHorizontal = Math.Max((int)(maxHorizontal / 100), 1);
            int largeChangeHorizontal = this.pnlOuter.Width;
            this.usbHorizontal.Initialize(minHorizontal, maxHorizontal, smallChangeHorizontal, largeChangeHorizontal);
            this.usbHorizontal.AutoDisable = true;

            //Settings for Vertical Scroll
            int minVertical = 0;
            int maxVertical = this.ultraPanel1.Height - this.pnlOuter.Height;
            int smallChangeVertical = Math.Max((int)(maxVertical / 100), 1);
            int largeChangeVertical = this.pnlOuter.Height;
            this.usbVertical.Initialize(minVertical, maxVertical, smallChangeVertical, largeChangeVertical);
        }


        private void usbHorizontal_Scroll(object sender, ScrollEventArgs e)
        {
            UltraScrollBar scrollBar = sender as UltraScrollBar;
            this.ultraPanel1.Left = -scrollBar.Value;
        }

        private void usbVertical_Scroll(object sender, ScrollEventArgs e)
        {
            UltraScrollBar scrollBar = sender as UltraScrollBar;
            this.ultraPanel1.Top = -scrollBar.Value;
        }
    }
}
